Android Permissions set to empty array throws Issues ( SDK v19.0.0 / v19.0.1)


#1

Now that we have the ability to set permissions in the config (in SDK 19.0.0) how do we set the app to use no permissions?
I’ve tried setting it to an empty array with no luck.

The reason I’m assuming I need to set it to null is because the docs say leave it out to set it to default (which it used to be a lot of things my app never needed)

Thanks for any insight into this!


EDIT

When publishing with permissions in the settings I get this message

[exp] Warning: Problem in exp.json. See https://docs.expo.io/versions/v19.0.0/guides/configuration.html.
[exp]   - android additionalProperty "permissions" exists in exp.json when not allowed.

#2

Hi Jessy,

Did you get an update for this question ?

When I tried to run the build, I’ve got this notification:

Warning: Problem in app.json. See https://docs.expo.io/versions/v19.0.0/guides/configuration.html.

  • android additionalProperty “permissions” exists in app.json when not allowed.

And I tried to upload a new APK and it’s still requesting all permissions…any idea guys ?

I start a new build with permissions to null (I was using empty array)…let see:

[exp] Making sure project is set up correctly…
/[exp] Warning: Problem in app.json. See https://docs.expo.io/versions/v19.0.0/guides/configuration.html.
[exp] - android additionalProperty “permissions” exists in app.json when not allowed.
[exp] Your project looks good!
[exp] Checking if current build exists…

[exp] ============
[exp] Build Status
[exp] ============

[exp] Android: Build in progress…


#3

It’s still not working…Always requesting all permissions…any idea ?


#4

Oki, still no answer but in case I found, you actually have to set manually all parameters. And I think by default, you should get those:

  "permissions": [
    "com.google.android.c2dm.permission.RECEIVE",
    "com.android.launcher.permission.INSTALL_SHORTCUT",
    "com.htc.launcher.permission.UPDATE_SHORTCUT",
    "com.google.android.gms.permission.ACTIVITY_RECOGNITION"
  ]

If I’m wrong tell me :wink: but now in the store it looks good and all tests has been passed (except android 4.4 but I knew it :wink:


#5

I’m going to try this out now.


#6

Expo standalone app builder pipeline was updated with a fix for permissions about 2hrs ago, so it should be properly dealing with limited permissions. I’m not sure if it fixes the empty permissions case though.


#7

Where do you see this, a git repo?


#8

So it’s working for you as well ?


#9

Should be fixed now. Let me know if it’s not working.


#10

thanks :wink: but for me it’s working since I set manually the permissions :wink:


#11

Is this a new version of the sdk? do i update via NPM, is it the exp cli or expo client?
I see that expo is now expo@19.0.1 but i’m still getting the same issue.


I don’t see where the NPM package is seeing the version 19.0.1 off of github (private repo?)
If I can help resolve let me know.


#12

Hey @jesse, on my personal project (not my test publish project) Im using the old exp.json which works with the new update.

Thank you (and/or your team) for the help!


@speudyland this means you can now add "permissions":[] to your config (make sure it’s inside the "android": {}


#13

Oki @jessycormier good to know, thanks for the tips :wink: